Provision Benchmark

Make a benchmark from one account available to named accounts, or to all in the organization.

This method is used to apply benchmark from one source Account to ALL Accounts in the Organization. The 'value: ALL' indicates that benchmark will be available but not applied to all future Accounts created. If you intend to add benchmark to one or more Accounts in the Organization and not ALL Accounts, use 'addbenchmark' method.

KeyMeaningMandatoryData Type
account_nameThe source account from which the benchmark is being provisionedYesstring
benchmarknameThe name of the benchmark to be provisionedYesstring
target_organizationThe name of the target organization to which the benchmark will be appliedYesstring
target_account_nameThe target account name within the organization; use 'ALL' to apply to all accountsYesstring
target_groupThe group within the target account to which the benchmark applies (e.g., a device group like 'windows 11')Yesstring
apifiltersOptional filters to narrow down targets using tags with 'in' and 'not in' conditionsNoarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.provisionBenchmark(
    account_name="Demo Account",
    benchmarkname="Test",
    target_account_name="Default",
    target_organization="Demo Org",
    target_group="windows 11",
    apifilters={
                  "tags": {
                        "in": {
                            "Owner": [
                                "Default",
                                "Default 1"
                            ]
                        },
                        "not in": {
                            "Category": [
                                "Finance"
                            ]
                        }
                    }
                })

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json